---
title: XRInputSourceEventInit.inputSource
slug: Web/API/XRInputSourceEventInit/inputSource
tags:
  - API
  - Coordinate
  - Input Sources
  - Inputs
  - Property
  - Reference
  - Setting
  - Sources
  - WebXR
  - WebXR API
  - WebXR Device API
  - XRInputSourceEventInit
  - controllers
  - inputSource
  - value
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The {{domxref("XRInputSourceEventInit")}} dictionary's <code><strong>inputSource</strong></code> property is used when calling the {{domxref("XRInputSourceEvent.XRInputSourceEvent", "XRInputSourceEvent()")}} constructor to specify the {{domxref("XRInputSource")}} from which the newly-created event is being sent.</span></p>

<p>Of course, as a general rule, you won't need to create <code>XRInputSourceEventInit</code> objects yourself. These events are generated by and sent to you by the WebXR infrastructure.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>xrInputSourceEventInit</em>.inputSource = <em>xrInputSource</em>;

let <em>xrInputSourceEventInit</em> = { inputSource: <em>xrInputSource</em> };

let <em>xrInputSourceEvent</em> = new XRInputSourceEvent(<em>type</em>, { inputSource: <em>xrInputSource</em> });
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("XRInputSource")}} object indicating the source of the newly-created {{domxref("XRInputSourceEvent")}} to be created. The new object's {{domxref("XRInputSourceEvent.inputSource", "inputSource")}} will be set to this value.</p>

<h2 id="Examples">Examples</h2>

<p>This example creates a new {{domxref("XRSession.select_event", "select")}} event and sends it to the {{domxref("XRSession")}}.</p>

<pre class="brush: js">let event = new XRInputSourceEvent("select", {
  frame: eventFrame,
  inputSource: source
};
if (event) {
  xrSession.dispatchEvent(event);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrinputsourceeventinit-inputsource","XRInputSourceEventInit.inputSource")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourceEventInit.inputSource")}}</div>
